# -*- coding: utf-8 -*-
import sys
from PyQt5.QtWidgets import *
from PyQt5 import uic, QtCore, QtGui, QtWidgets
from PyQt5.QtGui import *
from ftplib import FTP

form_class = uic.loadUiType("1.FTPClient2_C.ui")[0]

class FTPClass():
    __instance = None

    @staticmethod
    def tea():
        if not FTPClass.__instance:
            raise Exception("FTPClass를 먼저 인스턴스화 해야 합니다.")
        return FTPClass.__instance

    @staticmethod
    def reset():
        FTPClass.__instance = None

    def __init__(self, banana):
        if FTPClass.__instance:
            raise Exception("인스턴스가 이미 존재합니다.")
        FTPClass.__instance = banana


class LoginWindow(QtWidgets.QMainWindow, form_class):
    def __init__(self):
        super().__init__()
        self.setFixedSize(820,900)
        self.setWindowIcon(QIcon("pagichacha.png"))
        self.setupUi(self)

        self.lineEdit_5.returnPressed.connect(self.ftpConnect)
        self.pushButton.clicked.connect(self.ftpConnect)


    def ftpConnect(self):

        HOST = self.lineEdit.text()
        ID = self.lineEdit_4.text()
        PW = self.lineEdit_5.text()
        # PORT = int(self.lineEdit_6.text())

        FTPClass.reset()
        ret = FTPClass(FTP(HOST))
        print(ret,"+++++++++++++++++ 1")

        FTPClass.tea().encoding = 'utf-8'
        result = FTPClass.tea().login(ID, PW)
        print(result)

        if result and result.split(' ')[0] == '230':
            print("로그인 성공!!")
            self.textEdit_2.setText(result+"로그인 성공!!")
        else:
            print("Something went wrong.")
            self.textEdit_2.setText("로그인 실패!!!!, ID/PW 등을 정확히 입력했는지 확인해 보시기 바랍니다.!")


app=QApplication(sys.argv)
# window = MyWindow()
window = LoginWindow()
window.show()
print("Before event loop")
app.exec_()
print("After event loop")
